package com.yihu.wlyy.entity.follow;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 随访计划随访阶段随访项随访问题表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_plan_stage_item_question")
public class FollowUpPlanStageItemQuestion extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5847192233459637021L;

	// 计划标识
	private String code;
	// 随访计划标识
	private String plan;
	// 随访计划阶段标识
	private String stage;
	// 随访计划阶段随访项标识
	private String item;
	// 问题类型：1单选，2多选，3问答
	private int type;
	// 体测指标类型：1血糖，2血压，3体重，4腰围
	private int index;
	// 问题标题
	private String title;
	// 问题选项jsonarray字符串
	private String options;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@Column(name="tc_index")
	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

	public String getOptions() {
		return options;
	}

	public void setOptions(String options) {
		this.options = options;
	}

}
